## org.springframework.jdbc.object
Class GenericSqlQuery

    java.lang.Object
      org.springframework.jdbc.object.RdbmsOperation
          org.springframework.jdbc.object.SqlOperation
              org.springframework.jdbc.object.SqlQuery
                  org.springframework.jdbc.object.GenericSqlQuery

All Implemented Interfaces:
  InitializingBean

    public class GenericSqlQuery

extends SqlQuery

Field Summary

Fields inherited from class org.springframework.jdbc.object.RdbmsOperation
`logger`

Constructor Summary
`GenericSqlQuery()`

Method Summary
`void` `afterPropertiesSet()` Ensures compilation if used in a bean factory.
`protected RowMapper` `newRowMapper(Object[] parameters, Map context)` Subclasses must implement this method to extract an object per row, to be returned by the <cod>execute method as an aggregated `List`.
`void` `setRowMapperClass(Class rowMapperClass)`

Methods inherited from class org.springframework.jdbc.object.SqlQuery
`execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, executeByNamedParam, executeByNamedParam, findObject, findObject, findObject, findObject, findObject, findObject, findObject, findObject, findObject, findObject, findObjectByNamedParam, findObjectByNamedParam, getRowsExpected, setRowsExpected`

Methods inherited from class org.springframework.jdbc.object.SqlOperation
`compileInternal, getParsedSql, newPreparedStatementCreator, newPreparedStatementCreator, newPreparedStatementSetter, onCompileInternal`

Methods inherited from class org.springframework.jdbc.object.RdbmsOperation

`allowsUnusedParameters, checkCompiled, compile, declareParameter, getDeclaredParameters, getGeneratedKeysColumnNames, getJdbcTemplate, getResultSetType, getSql, isCompiled, isReturnGeneratedKeys, isUpdatableResults, setDataSource, setFetchSize, setGeneratedKeysColumnNames, setJdbcTemplate, setMaxRows, setParameters, setQueryTimeout, setResultSetType, setReturnGeneratedKeys, setSql, setTypes, setUpdatableResults, supportsLobParameters, validateNamedParameters, validateParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericSqlQuery

    public GenericSqlQuery()

Method Detail

### setRowMapperClass

    public void setRowMapperClass(Class rowMapperClass)
                           throws IllegalAccessException,
                                  InstantiationException

  Throws:
    `IllegalAccessException`
    `InstantiationException`

### afterPropertiesSet

    public void afterPropertiesSet()

  Description copied from class: `RdbmsOperation`
  Ensures compilation if used in a bean factory.

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Overrides:
    `afterPropertiesSet` in class `RdbmsOperation`

### newRowMapper

    protected RowMapper newRowMapper(Object[] parameters,
                                     Map context)

  Description copied from class: `SqlQuery`
  Subclasses must implement this method to extract an object per row, to be returned by the <cod>execute method as an aggregated `List`.

  Specified by:
    `newRowMapper` in class `SqlQuery`
  Parameters:
    `parameters` - the parameters to the `execute()` method, in case subclass is interested; may be `null` if there were no parameters.
    `context` - contextual information passed to the `mapRow` callback method. The JDBC operation itself doesn't rely on this parameter, but it can be useful for creating the objects of the result list.
  See Also:
    `SqlQuery.execute(java.lang.Object[], java.util.Map)`